
Core - Bug # 67059

Status: New Priority: Should have
Author: alexis nicolas Category: Database API
Created: 2015-05-20 Assigned To:
Updated: 2015-05-20 Due date:
TYPO3 Version: 7
PHP Version: 5.5
Complexity:
Is Regression: No
Sprint Focus:
Subject: AdoDB error with PostgreSQL
Description

In v7.2 with postgre driver (v9.2):
Core: Error handler (BE): PHP Warning: pg_query(): Query failed: ERREUR:  erreur de syntaxe sur ou près de « ) »
LINE 4:    ) VALUES (
         ^ in xxx/typo3/sysext/adodb/adodb/drivers/adodb-postgres7.inc.php line 219

Related issues:
related to Core - Epic # 64459: Make TYPO3 run on PostgreSQL New 2015-01-23
related to Core - Bug # 67668: PostgreSQL needs escaping for BLOB fields New 2015-06-21

History
#1 - 2015-05-20 16:07 - alexis nicolas

Sorry, I gave too few (and wrong) information:
When I click on modules 'View', 'Filelist', 'Language', 'Extensions', 'Access', 'Backend users', 'Reports' or 'Log' I got a PHP error in BE:

#1: PHP Warning: pg_query(): in C:\wamp\www\typo3_7.2\typo3\sysext\adodb\adodb\drivers\adodb-postgres7.inc.php line 219

And in php_error.log:

[20-May-2015 16:01:23 Europe/Paris] PHP Fatal error:  Call to a member function includeLLFile() on a non-object in
C:\wamp\www\typo3_7.2\typo3\sysext\dbal\mod1\index.php on line 22

[20-May-2015 16:01:23 Europe/Paris] PHP Stack trace:

[20-May-2015 16:01:23 Europe/Paris] PHP   1. {main}() C:\wamp\www\typo3_7.2\typo3\mod.php:0

[20-May-2015 16:01:23 Europe/Paris] PHP   2. TYPO3\CMS\Core\Core\Bootstrap->run() C:\wamp\www\typo3_7.2\typo3\mod.php:24

[20-May-2015 16:01:23 Europe/Paris] PHP   3. TYPO3\CMS\Backend\BackendModuleRequestHandler->handleRequest()
C:\wamp\www\typo3_7.2\typo3\sysext\core\Classes\Core\Bootstrap.php:191

[20-May-2015 16:01:23 Europe/Paris] PHP   4. TYPO3\CMS\Backend\BackendModuleRequestHandler->callTraditionalModule()
C:\wamp\www\typo3_7.2\typo3\sysext\backend\Classes\BackendModuleRequestHandler.php:74

[20-May-2015 16:01:23 Europe/Paris] PHP   5. require()
C:\wamp\www\typo3_7.2\typo3\sysext\backend\Classes\BackendModuleRequestHandler.php:164
#2 - 2015-05-20 17:12 - alexis nicolas
- % Done changed from 0 to 100

Problem solved after (I presume) cleaning some records from pages table... Weird!

#3 - 2015-05-20 17:14 - alexis nicolas
- Assigned To set to Markus Klein

#4 - 2015-05-20 17:51 - Markus Klein
- Assigned To deleted (Markus Klein)

I can't help here, sorry.
